Package: libjets3t-java
Version: 0.8.1+dfsg-1
Severity: important
Tags: patch

I am trying to use libjets3t-java as a build dependency on a maven
project. During build, maven always fails with the following error
message: 

,--------
| Missing: 
| ---------- 
| 1) com.jamesmurty.utils:java-xmlbuilder:jar:debian 
|   
|   Try downloading the file manually from the project website. 
|   
|   Then, install it using the command:  
|       mvn install:install-file -DgroupId=com.jamesmurty.utils 
-DartifactId=java-xmlbuilder -Dversion=debian -Dpackaging=jar 
-Dfile=/path/to/file 
|   Alternatively, if you host your own repository you can deploy the file 
there:  
|       mvn deploy:deploy-file -DgroupId=com.jamesmurty.utils 
-DartifactId=java-xmlbuilder -Dversion=debian -Dpackaging=jar 
-Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id] 
|   
|   Path to dependency:  
|      1) test.libjets3t:1.0 
|      2) net.java.dev.jets3t:jets3t:jar:0.x 
|      3) com.jamesmurty.utils:java-xmlbuilder:jar:debian 
`-------

According to the pom in the debian maven-repo, jets3t depends on the
"debian" version of libjava-xmlbuilder-java. 

During build of jets3t, the original version string in jets3t's pom is 
changed to "debian" by mh_cleanpom, because there is no rule for this 
dependency. The package libjavabuilder-java although ships no such
version. 

The attached patch adds a rule for java-xmlbuilder to the package. 
Applying this patch and rebuilding jets3t fixes compilation of my 
project.


-- System Information:
Debian Release: 7.6
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libjets3t-java depends on:
ii  libaxis-java                1.4-16.2
ii  libcommons-codec-java       1.6-1
ii  libcommons-httpclient-java  3.1-10.2
ii  libcommons-logging-java     1.1.1-9
ii  libjava-xmlbuilder-java     0.4-2

Versions of packages libjets3t-java recommends:
ii  libbcprov-java  1.44+dfsg-3.1

libjets3t-java suggests no packages.

-- no debconf information
-- 
Stefan Denker                 <sden...@bfk.de>
BFK edv-consulting GmbH       http://www.bfk.de/
Kriegsstra├če 100              tel: +49-721-96201-1
D-76133 Karlsruhe             fax: +49-721-96201-99
--- a/debian/maven.rules
+++ b/debian/maven.rules
@@ -3,3 +3,4 @@ javax.servlet servlet-api * s/2\..*/2.5/ * *
 # Version jets3t for 0.x
 net.java.dev.jets3t * * s/0\..*/0.x/ * *
 commons-httpclient commons-httpclient * s/3\..*/3.x/ * *
+com.jamesmurty.utils java-xmlbuilder * s/0\..*/0.x/ * *
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to